JTextComponent.KeyBinding (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class JTextComponent.KeyBinding

    java.lang.Object
      |
      +--javax.swing.text.JTextComponent.KeyBinding

Enclosing class:
  JTextComponent

public static class JTextComponent.KeyBinding
extends Object

Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary
`String` | `actionName` The name of the action for the key.
`KeyStroke` | `key` The key.

Constructor Summary
`JTextComponent.KeyBinding(KeyStroke key, String actionName)` Creates a new key binding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public KeyStroke key

  The key.

### actionName

    public String actionName

  The name of the action for the key.

Constructor Detail

### JTextComponent.KeyBinding

    public JTextComponent.KeyBinding(KeyStroke key,
                                     String actionName)

  Creates a new key binding.

Parameters:
  `key` - the key
  `actionName` - the name of the action for the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.